Subject: conditional request vs GET (new issue?)

From: Julian Reschke <[email-masked]>
Date: Sun, 09 Dec 2007 16:53:33 +0100

Hi,

apparently people are confused by the fact that the definition of GET 
specifically mentions conditional headers:

    The semantics of the GET method change to a "conditional GET" if the
    request message includes an If-Modified-Since, If-Unmodified-Since,
    If-Match, If-None-Match, or If-Range header field. A conditional GET
    method requests that the entity be transferred only under the
    circumstances described by the conditional header field(s). The
    conditional GET method is intended to reduce unnecessary network
    usage by allowing cached entities to be refreshed without requiring
    multiple requests or transferring data already held by the client. 
-- <http://tools.ietf.org/html/rfc2616#section-9.3>

Do we need to clarify that conditionals apply to all requests? (do they?).

BR, Julian